Page MenuHomePhabricator

Breakout session: Quibble a test runner for MediaWiki
Closed, ResolvedPublic

Description

Running tests for MediaWiki has long been a challenge. Developers have been relying on the Wikimedia CI system to get feedback and are often unable to reliably reproduce a test failure on their local machine.

Quibble is a simple script which factors a lot of moving part to clone code, install dependencies and MediaWiki and running all the tests framework we rely on. The CI workflow is being switched to this new script, lets see how it works and how one can reuse it on a local machine or in a Docker container to easily reproduce a test failure.

Documentation teasing: https://doc.wikimedia.org/quibble/

Who: Antoine "hashar" Musso, WMF release engineering
Where: Q3/0003, 110 places
When: Saturday 19:00
Slides: https://commons.wikimedia.org/wiki/File:20180519-QuibblePres.pdf


Self notes
integration-quibble-demo.integration.eqiad.wmflabs
https://docs.google.com/presentation/d/1V6b3aUkAM0FS605bYOQB9iyQroMYcKhzSZXJUStxlhQ/edit?usp=sharing

Event Timeline

hashar created this task.May 18 2018, 4:34 PM
hashar updated the task description. (Show Details)May 18 2018, 4:45 PM
hashar updated the task description. (Show Details)
hashar updated the task description. (Show Details)May 18 2018, 4:47 PM
hashar updated the task description. (Show Details)
hashar updated the task description. (Show Details)May 18 2018, 4:57 PM
zeljkofilipin triaged this task as Normal priority.May 18 2018, 5:07 PM
zeljkofilipin moved this task from Backlog to Session on the Wikimedia-Hackathon-2018 board.
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
StjnVMF renamed this task from Breakout session: Quibble a test runner for MediaWiki to unban reguyla.May 18 2018, 5:24 PM
StjnVMF updated the task description. (Show Details)
JJMC89 renamed this task from unban reguyla to Breakout session: Quibble a test runner for MediaWiki.May 18 2018, 5:32 PM
JJMC89 updated the task description. (Show Details)

Announced on the Telegram group.

hashar updated the task description. (Show Details)May 19 2018, 2:25 PM
zeljkofilipin closed this task as Resolved.May 20 2018, 11:15 AM
zeljkofilipin claimed this task.

I should upload the slides to commons.

zeljkofilipin added a subscriber: zeljkofilipin.
hashar updated the task description. (Show Details)Jun 1 2018, 8:41 PM
Vvjjkkii renamed this task from Breakout session: Quibble a test runner for MediaWiki to hrcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed hashar as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from hrcaaaaaaa to Breakout session: Quibble a test runner for MediaWiki.Jul 2 2018, 4:58 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to hashar.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)